frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

TensorFlow pb file retrained

HI there,
I am a newbie. By using Tensorflow on my Linux desktop, I have retrained inception's final layer on my own categories and I followed the tutorial: https://www.tensorflow.org/tutorials/image_retraining
This process creates output_graph.pb and output_labels.txt files. How can I use these files for the interference procedure with Movidius?
Thank you.

Comments

  • 5 Comments sorted by Votes Date Added
  • @daddym1985 , did you solve your problem? I got exactly the same, and it seems that the error, related to the BUILD file, was in fact coming from the file itself. Check online on github for the BUILD file, and for me some lines (about "label_image" file) was missing.
    Hope it can help you,

    Kat

  • @Kat_Klinex No I have not solved my probem. I think that it may be related to the tensor input name in my *.pb file

  • Hi there,
    by using TensorBoard tool, I found that the parameters for mvNCCompile are:
    mvNCCompile output_graph.pb -s 12 -in=import/DecodeJpeg/contents -on=import/final_result -is 224 224

    but this give me the error:

    $ mvNCCompile output_graph.pb -s 12 -in=import/DecodeJpeg/contents -on=import/final_result -is 224 224
    mvNCCompile v02.00, Copyright @ Movidius Ltd 2016

    /usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py:766: DeprecationWarning: builtin type EagerTensor has no module attribute
    EagerTensor = c_api.TFE_Py_InitEagerTensor(_EagerTensorBase)
    /usr/local/lib/python3.5/dist-packages/tensorflow/python/util/tf_inspect.py:45: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead
    if d.decorator_argspec is not None), _inspect.getargspec(target))
    TypeError: expected bytes, float found

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1302, in _run_fn
    status, run_metadata)
    SystemError: returned a result with an error set

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1323, in _do_call
    return fn(*args)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1302, in _run_fn
    status, run_metadata)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/errors_impl.py", line 473, in exit
    c_api.TF_GetCode(self.status.status))
    tensorflow.python.framework.errors_impl.InternalError: Unable to get element as bytes.

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/local/bin/mvNCCompile", line 118, in
    create_graph(args.network, args.inputnode, args.outputnode, args.outfile, args.nshaves, args.inputsize, args.weights)
    File "/usr/local/bin/mvNCCompile", line 104, in create_graph
    net = parse_tensor(args, myriad_config)
    File "/usr/local/bin/ncsdk/Controllers/TensorFlowParser.py", line 229, in parse_tensor
    res = outputTensor.eval(feed_dict={inputnode + ':0': input_data})
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 570, in eval
    return _eval_using_default_session(self, feed_dict, self.graph, session)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 4455, in _eval_using_default_session
    return session.run(tensors, feed_dict)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 889, in run
    run_metadata_ptr)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1120, in _run
    feed_dict_tensor, options, run_metadata)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1317, in _do_run
    options, run_metadata)
    File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1336, in _do_call
    raise type(e)(node_def, op, message)
    tensorflow.python.framework.errors_impl.InternalError: Unable to get element as bytes.

    Any idea?
    Thanks

  • Anyone find a way to get this to work?

Sign In or Register to comment.